unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  SVFontCombos, StdCtrls, ExtCtrls, ShellApi;

type
  TForm1 = class(TForm)
    lblFontName: TLabel;
    lblFontSize: TLabel;
    lblFontCharset: TLabel;
    cmbFontSize: TFontSizeComboBox;
    cmbFontCharset: TFontCharsetComboBox;
    cmbFontName: TComboBox;
    gbEffects: TGroupBox;
    cbBold: TCheckBox;
    cbItalic: TCheckBox;
    cbUnderline: TCheckBox;
    cbStrikeout: TCheckBox;
    gbSample: TGroupBox;
    panSample: TPanel;
    btnOk: TButton;
    Label1: TLabel;
    Label2: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure cmbFontNameClick(Sender: TObject);
    procedure btnOkClick(Sender: TObject);
    procedure cmbFontSizeClick(Sender: TObject);
    procedure cmbChange(Sender: TObject);
    procedure cmbFontCharsetClick(Sender: TObject);
    procedure cbBoldClick(Sender: TObject);
    procedure cbItalicClick(Sender: TObject);
    procedure cbUnderlineClick(Sender: TObject);
    procedure cbStrikeoutClick(Sender: TObject);
    procedure Label2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
var idx: Integer;
    FontCharset: TFontCharset;
    FontSize   : Integer;
begin
  FontCharset := panSample.Font.Charset;
  FontSize    := panSample.Font.Size;
  cmbFontName.Items := Screen.Fonts;
  cmbFontName.ItemIndex := cmbFontName.Items.IndexOf(panSample.Font.Name);
  cmbFontName.OnClick(cmbFontName);
  cmbFontSize.Text := IntToStr(FontSize);
  cmbFontSize.OnChange(cmbFontSize);
  idx := cmbFontCharset.IndexOfCharset(FontCharset);
  if idx<>-1 then
    cmbFontCharset.ItemIndex := idx;
end;

procedure TForm1.cmbFontNameClick(Sender: TObject);
begin
  cmbFontSize.FontName    := cmbFontName.Text;
  cmbFontCharset.FontName := cmbFontName.Text;
  panSample.Font.Name     := cmbFontName.Text;
end;

procedure TForm1.cmbFontSizeClick(Sender: TObject);
begin
  panSample.Font.Size := StrToIntDef(cmbFontSize.Text,panSample.Font.Size);
end;

procedure TForm1.cmbFontCharsetClick(Sender: TObject);
begin
  if cmbFontCharset.ItemIndex<>-1 then
    panSample.Font.Charset := cmbFontCharset.Charsets[cmbFontCharset.ItemIndex];
end;

procedure TForm1.cmbChange(Sender: TObject);
var idx: Integer;
begin
  idx := TComboBox(Sender).Items.IndexOf(TComboBox(Sender).Text);
  if (idx<>-1) and (TComboBox(Sender).Items[idx]<>TComboBox(Sender).Text) then begin
    TComboBox(Sender).ItemIndex := idx;
    TComboBox(Sender).OnClick(Sender);
  end;
end;

procedure TForm1.btnOkClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.cbBoldClick(Sender: TObject);
begin
  if cbBold.Checked then
    panSample.Font.Style := panSample.Font.Style+[fsBold]
  else
    panSample.Font.Style := panSample.Font.Style-[fsBold]
end;

procedure TForm1.cbItalicClick(Sender: TObject);
begin
  if cbItalic.Checked then
    panSample.Font.Style := panSample.Font.Style+[fsItalic]
  else
    panSample.Font.Style := panSample.Font.Style-[fsItalic]
end;

procedure TForm1.cbUnderlineClick(Sender: TObject);
begin
  if cbUnderline.Checked then
    panSample.Font.Style := panSample.Font.Style+[fsUnderline]
  else
    panSample.Font.Style := panSample.Font.Style-[fsUnderline]
end;

procedure TForm1.cbStrikeoutClick(Sender: TObject);
begin
  if cbStrikeout.Checked then
    panSample.Font.Style := panSample.Font.Style+[fsStrikeout]
  else
    panSample.Font.Style := panSample.Font.Style-[fsStrikeout]
end;

procedure TForm1.Label2Click(Sender: TObject);
begin
  ShellExecute(Application.Handle, 'open', 'http://www.trichview.com', nil, nil, SW_NORMAL);
end;

end.
